from setuptools import find_packages, setup

requires = [
    'arrow',
    'babel',
    'celery[redis]',
    'filedepot',
    'inflection',
    'jinja2',
    'l18n',
    'nexmo',
    'oauthlib',
    'pyjwt',
    'pyramid',
    'pyramid_jinja2',
    'pyramid_tm',
    'pytz',
    'redis',
    'requests[security]',
    'requests_unixsocket',
    'sentry_sdk',
    'sqlalchemy',
    'unidecode',
    'webob',
]

optional = {
    'dist': [
        'twine',
        'wheel',
    ],
    'qa': [
        'flake8',
    ],
}

setup(
    name='parsys_utilities',
    version='3.1.11',
    description='Generic Python utilities used by Parsys Télémédecine',
    classifiers=[
        'Programming Language :: Python',
        'Framework :: Pyramid',
        'Topic :: Internet :: WWW/HTTP',
        'Topic :: Internet :: WWW/HTTP :: WSGI :: Application',
        'Programming Language :: Python :: 3.6',
        'License :: Other/Proprietary License',
    ],
    author='Parsys',
    author_email='info@parsys.com',
    url='https://parsys.com',
    keywords='web pyramid pylons',
    packages=find_packages(),
    zip_safe=True,
    python_requires='>=3.6',
    install_requires=requires,
    extras_require=optional,
)
